Bug 243813 - x11/aminal: fix build on aarch64
Summary: x11/aminal: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 17:25 UTC by Mikael Urankar
Modified: 2020-02-25 10:14 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.08 KB, patch)
2020-02-02 17:25 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 17:25:10 UTC
Created attachment 211289 [details]
patch

# github.com/liamg/aminal/vendor/github.com/kr/pty
vendor/github.com/kr/pty/pty_freebsd.go:50:20: undefined: fiodgnameArg
vendor/github.com/kr/pty/pty_freebsd.go:63:12: undefined: _C_SPECNAMELEN
vendor/github.com/kr/pty/pty_freebsd.go:66:9: undefined: fiodgnameArg
Comment 1 Emmanuel Vadot freebsd_committer 2020-02-21 11:57:51 UTC
Approved-by: manu (mentor)
Comment 2 commit-hook freebsd_committer 2020-02-24 19:58:51 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 19:58:41 UTC 2020
New revision: 527042
URL: https://svnweb.freebsd.org/changeset/ports/527042

Log:
  x11/aminal: Unbreak on aarch64

  # github.com/liamg/aminal/vendor/github.com/kr/pty
  vendor/github.com/kr/pty/pty_freebsd.go:50:20: undefined: fiodgnameArg
  vendor/github.com/kr/pty/pty_freebsd.go:63:12: undefined: _C_SPECNAMELEN
  vendor/github.com/kr/pty/pty_freebsd.go:66:9: undefined: fiodgnameArg

  PR:		243813
  Approved by:	yuri (maintainer), manu (mentor)

Changes:
  head/x11/aminal/files/patch-vendor_github.com_kr_pty_ztypes__freebsd__arm64.go